# delimit ;
	set more 1;
	version 10.0;
	
	clear;
	
	set mem 400m;
	
/* Set paths as global strings */

	global mainpath "C:\Users\Vik\Documents\Current Work\AER AUM\";								
	
/* Opening the Dataset Downloaded from AER website */
	
	use "$mainpath\BCHHS_data.dta", clear;
	
/* Generating log wages */

	gen lnearn=ln(earning);	
	
/* Generating Age Squared */

	gen agesq=age*age;
	la var agesq "age squared";
	
/* Reshaping the Dataset */

	reshape wide earning-agesq, i(family) j(twinno);	
	
/* Generate average education of each twin pair */

	gen avehigh = (highqua1+highqua2)/2;
	gen avhight= (twihigh1 + twihigh2)/2;
	
	reshape long;	
		
/* Save regression results in a log file */

	log using "$mainpath\Quantile_Family_Aum.smcl", replace;
	
/* Family Quantile Regressions, No Controls */	
	
	/* OLS Quantile Regressions 10% */
	bsqreg lnearn highqua avehigh age agesq, quantile(.10) rep(500);
	
	/* OLS Quantile Regressions 25% */
	bsqreg lnearn highqua avehigh age agesq, quantile(.25) rep(500);
	
	/* OLS Quantile Regressions 40% */
	bsqreg lnearn highqua avehigh age agesq, quantile(.40) rep(500);
	
	/* OLS Quantile Regressions 50% */
	bsqreg lnearn highqua avehigh age agesq, quantile(.50) rep(500);
	
	/* OLS Quantile Regressions 60% */
	bsqreg lnearn highqua avehigh age agesq, quantile(.60) rep(500);
	
	/* OLS Quantile Regressions 75% */
	bsqreg lnearn highqua avehigh age agesq, quantile(.75) rep(500);
	
	/* OLS Quantile Regressions 90% */
	bsqreg lnearn highqua avehigh age agesq, quantile(.90) rep(500);

/* IV Family Quantile Regression Without Controls */

/* First Stage */

	bs, reps(500): reg highqua twihigh avhight age agesq;
	predict eduhat;
	
	bs, reps(500): reg avehigh avhight twihigh age agesq;
	predict avedu;
	
	/* 2nd Stage Quantile Regressions 10% */
	bsqreg lnearn eduhat avedu age agesq, quantile(.10) rep(500);
	
	/* 2nd Stage Quantile Regressions 25% */
	bsqreg lnearn eduhat avedu age agesq, quantile(.25) rep(500);
	
	/* 2nd Stage Quantile Regressions 40% */
	bsqreg lnearn eduhat avedu age agesq, quantile(.40) rep(500);
	
	/* 2nd Stage Quantile Regressions 50% */
	bsqreg lnearn eduhat avedu age agesq, quantile(.50) rep(500);
	
	/* 2nd Stage Quantile Regressions 60% */
	bsqreg lnearn eduhat avedu age agesq, quantile(.60) rep(500);
	
	/* 2nd Stage Quantile Regressions 75% */
	bsqreg lnearn eduhat avedu age agesq, quantile(.75) rep(500);
	
	/* 2nd Stage Quantile Regressions 90% */
	bsqreg lnearn eduhat avedu age agesq, quantile(.90) rep(500);
	
	drop eduhat;
	drop avedu;
	
	reshape wide;
	
	gen dlnearn = lnearn1-lnearn2;
	gen dhigh = highqua1-highqua2;
	gen dtwihi=twihigh1-twihigh2;
	gen dpart = part1-part2;
	gen dmarried = married1-married2;
	gen dLNandSE = LNandSE1-LNandSE2;
	gen down_exp = own_exp1-own_exp2;
	
	drop if dlnearn==.|dhigh==.|dtwihi==.|dpart==.|dmarried==.|dLNandSE==.|down_exp==.;
	reshape long;
	
/* OLS Family Quantile Regressions With Controls */	

	/* OLS Quantile Regressions 10% */
	bsqreg lnearn highqua avehigh age agesq LNandSE married own_exp part, quantile(.10) rep(500);
	
	/* OLS Quantile Regressions 25% */
	bsqreg lnearn highqua avehigh age agesq LNandSE married own_exp part, quantile(.25) rep(500);
	
	/* OLS Quantile Regressions 40% */
	bsqreg lnearn highqua avehigh age agesq LNandSE married own_exp part, quantile(.40) rep(500);
	
	/* OLS Quantile Regressions 50% */
	bsqreg lnearn highqua avehigh age agesq LNandSE married own_exp part, quantile(.50) rep(500);
	
	/* OLS Quantile Regressions 60% */
	bsqreg lnearn highqua avehigh age agesq LNandSE married own_exp part, quantile(.60) rep(500);
	
	/* OLS Quantile Regressions 75% */
	bsqreg lnearn highqua avehigh age agesq LNandSE married own_exp part, quantile(.75) rep(500);
	
	/* OLS Quantile Regressions 90% */
	bsqreg lnearn highqua avehigh age agesq LNandSE married own_exp part, quantile(.90) rep(500);

/* IV Family Quantile Regression */
	
/* First Stage */

	bs, reps(500): reg highqua twihigh avhight age agesq LNandSE married own_exp part;
	predict eduhat;
	
	bs, reps(500): reg avehigh avhight twihigh age agesq LNandSE married own_exp part;
	predict avedu;
	
	/* 2nd Stage Quantile Regressions 10% */
	bsqreg lnearn eduhat avedu age agesq LNandSE married own_exp part, quantile(.10) rep(500);
	
	/* 2nd Stage Quantile Regressions 25% */
	bsqreg lnearn eduhat avedu age agesq LNandSE married own_exp part, quantile(.25) rep(500);
	
	/* 2nd Stage Quantile Regressions 40% */
	bsqreg lnearn eduhat avedu age agesq LNandSE married own_exp part, quantile(.40) rep(500);
	
	/* 2nd Stage Quantile Regressions 50% */
	bsqreg lnearn eduhat avedu age agesq LNandSE married own_exp part, quantile(.50) rep(500);
	
	/* 2nd Stage Quantile Regressions 60% */
	bsqreg lnearn eduhat avedu age agesq LNandSE married own_exp part, quantile(.60) rep(500);
	
	/* 2nd Stage Quantile Regressions 75% */
	bsqreg lnearn eduhat avedu age agesq LNandSE married own_exp part, quantile(.75) rep(500);
	
	/* 2nd Stage Quantile Regressions 90% */
	bsqreg lnearn eduhat avedu age agesq LNandSE married own_exp part, quantile(.90) rep(500);
	
	log close;
	
	

	